Subject: Linux vs OS X (was Re: Running Win10 after end of life)

From: Eric Oyen via PLUG-discuss <[email-masked]>
Date: Sun, 4 May 2025 03:42:12 -0700

Well, the BSD platform that OS X, XI, XII, XIII and XIV) are BSD based, and since that OS has many similarities to Linux (including functionality, apps, development environments, etc) that there is virtually little difference. About the only major difference is the GUI running on top (Apple uses Aqua whereas linux uses any of about a dozen DM’s) Also, the screen reader available in the apple platform is certainly well thought out and mostly thoroughly debugged. Linux has about a half dozen available screen readers (BrlTTY, Emacsspeak, Speakup and a few other command line variants) and ORCA for any of the GTK based DM’s (such as Gnome, FVWM and others). KDE is still not completely on board with ORCA as some of the API calls and inter-process communications calls aren’t completely compatible. Now, one of the very few things I like about linux is that I can use it remotely with a screen reader on my end (command line). I would have to set up Enlightenment Sound Deamon in order to port sound from any of the DM’s to my end (VNC and other Remote Desktop apps don’t have this facility built in and thus require external setup). This pretty much means that I can’t use OS X remotely except on command line (Also, ESD is not on the macports development tree or home-brew). It would be nice to have the same functionality of JAWS (non-free windows screen reader) that can link to a remote machine also running jaws. NVDA can’t do that yet. So, if I need to remote admin a windows box via it’s GUI, jaws is the only tool I can use. Now, if someone would just get the VNC type remote desktop platforms to be able to forward system sound, that would make my life immensely easier for a GUI DM on linux remotely.

Now, as for development teams, I have found over the years that most of them do not design in accessibility mostly because they are either lazy or have never encountered blind people in their professional environment. I have tried, repeatedly, over the years to bring these issues to many developers on all three major platforms. Some (less than 10%) listen and attempt to correct the issue. The other 90% are split  into lazy (60% and deliberately hostile to accessibility (30%). That last one is what causes most of my frustration. I have been ignored, ghosted or in at least 10 cases over the years basically told to shut up and live with it. In the two most recent cases, I was firewall by DEI policy simply because I was not part of the group they wanted (and that is politics which I won’t do more than a brief mention of here, which just happened). In any case, Windows still has a long way to go toward being fully accessible (Narrator is still a joke IMHO) and in the apple ecosystem, there are a lot of devs that just haven’t considered people like me as an important population metric to even consider). As for Linux, quite a few of the accessibility projects over the years are still around, although they are in significant need of coders to help bolster their ranks). In the case of ORCa, I think it’s just 1 full time project admin and about a half dozen volunteers trying to keep the code base from falling behind the 8-ball.

On a related accessibility front, I really wish the EFI consortium would honestly consider using BrlTTY as a possible alternative display. It’s small enough to be included, can work with system devices (such as a speaker, etc) and would allow people like me to be able to properly admin machines at or near the firmware level as needed. Many attempts by me and many others over the years and we all get the same form response: thank you for the suggestion, but we don’t feel there is enough call for this addition. Oh well, they won’t understand until they are in my shoes, then the yelling and screaming that will happen (oh boy!). However, I am not holding my breath.

Btw, still looking into making my Mac mini into a linux powered Mac mini.

-Eric
From the Central Offices of the Technomage Guild, Complaints Dept.

On Sat, 03 May 2025 23:30, David Schwartz wrote:
Would someone kindly tell me what’s so special about their favorite version of Linux is versus MacOS, which is a BSD Unix derivative?

I’ve think I’ve mentioned my harem of Macs:

---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss